using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace KendoUIInsert.Models
{
    public class TaskModuleDto
    {
        [Key]
        [ScaffoldColumn(false)]
        public Guid Id { get; set; }

        [Required(ErrorMessage = "You must enter a name")]
        [MaxLength(50)]
        public string Name { get; set; }

        [Required(ErrorMessage = "You must enter a caption")]
        [MaxLength(120)]
        public string Caption { get; set; }

        [Required(ErrorMessage = "You must enter a description")]
        [MaxLength(1024)]
        [DataType(DataType.MultilineText)]
        public string Description { get; set; }

        [Required(ErrorMessage = "You must enter a version number")]
        [DataType("Integer")]
        [Range(0, int.MaxValue)]
        public int Version { get; set; }

        [Display(Name = "Shared Component")]
        [Required(ErrorMessage = "You must select a component class")]
        [UIHint("TaskModuleComponentClass")]
        public Guid SharedComponentClassId { get; set; }

        [Display(Name = "Default Work Pool")]
        [Required(ErrorMessage = "You must select a default work pool")]
        [UIHint("TaskModuleWorkPool")]
        public Guid DefaultWorkPoolId { get; set; }
    }
}